CHECK-ALL-THE-THINGS(1)

NAME
check-all-the-things - Check all of the things!

DESCRIPTION
usage: check-all-the-things [-h] [--jobs [N]] [--checks selectors]

[--flags selectors] [--all]
    [--interrupt {quit,exit,skip}] [--interrupt-period N] [--silent-checks {show,hide}] [--remarks-lines N] [--commands {run,show}] [--checks-output-lines N] [--distro {debian}] [--release {jessie}] [--mime] [--no-mime]

This program is aimed at checking things related to packaging and software development. It automates static analysis of code, QA, syntax and style checks and more, for a large set of file types.

  options:

-h, --help
    show this help message and exit

--jobs, -j [N]
    passed to tools that can parallelize their checks (default: 1)

--checks, -c selectors
    alter the set of checks to be run based on check names (example: = cppcheck + lintian duck - duck)

--flags, -f selectors
    alter the set of checks to be run based on flag names (example: = audio c - mp3 + sh) (example: = dangerous + network - todo)

--all, -a
    perform checks with possible side effects, including executing code or modifying files from the current directory. (equivalent: --flags +dangerous --flags +modify)

--interrupt, -i {quit,exit,skip}
    when interrupted, quit or skip the current check (default: skip)

--interrupt-period, -ip N
    how many seconds to wait after an interrupt for another one before continuing (default: 0.5)

--silent-checks {show,hide}
    what to do with checks that did not print any output (default: hide)

--remarks-lines N
    output lines to use for checks per remark. (<= -1: all, 0: only reasons, >= 1: N lines of checks) (default: 1)

--commands {run,show}
    what to do with the commands for the chosen set of hooks (default: run)

--checks-output-lines N
    output lines to allow for checks. checks using more lines are terminated, their output is truncated to fit, a footer is appended as an indicator and their names are printed at the end. (<= 0: all, > 0: N lines of output) (default: 10)

--distro, -d {debian}
    enable check overlay for distribution (default: None)

--release, -r {jessie}
    enable check overlay for distribution release (default: None)

--mime
    Enable matching files based on MIME type. MIME checking is slow and makes more complicated commands. (default: False)

--no-mime
    Disable matching files based on MIME type. MIME checking is slow and makes more complicated commands. (default: False)

WARNING: since it checks so many things the output can be very verbose so don't use it if you don't have time to go through the output to find problems.